Package org.apache.nutch.crawl

## Class Generator.HashComparator

- java.lang.Object
- - org.apache.hadoop.io.WritableComparator
  - - org.apache.nutch.crawl.Generator.HashComparator

- All Implemented Interfaces:
    `Comparator`, `Configurable`, `RawComparator`
  Enclosing class:
    Generator

      public static class Generator.HashComparator
      extends WritableComparator

  Sort fetch lists by hash of URL.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HashComparator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)` |
    `int` | `compare​(WritableComparable a, WritableComparable b)` |

    - ### Methods inherited from class org.apache.hadoop.io.WritableComparator

      `compare, compareBytes, define, get, get, getConf, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### HashComparator

          public HashComparator()

  - ### Method Detail

    - #### compare

          public int compare​(WritableComparable a,
                             WritableComparable b)

      Overrides:
        `compare` in class `WritableComparator`

    - #### compare

          public int compare​(byte[] b1,
                             int s1,
                             int l1,
                             byte[] b2,
                             int s2,
                             int l2)

      Specified by:
        `compare` in interface `RawComparator`
      Overrides:
        `compare` in class `WritableComparator`